Subject: Re: iwlagn broken in next-20090514 and next-20090515

From: Dan Williams <[email-masked]>
Date: Mon, 18 May 2009 13:50:29 -0400

On Mon, 2009-05-18 at 18:24 +0200, Johannes Berg wrote:
> On Mon, 2009-05-18 at 09:03 -0700, reinette chatre wrote:
> 
> > > > Also wpa_supplicant is not happy:
> > > > 
> > > > + wpa_supplicant -B -Dwext -iwlan0 -c /home/user/nico/ethz/wlan/wpa_supplicant.conf
> > > > ioctl[SIOCSIWENCODEEXT]: No such file or directory
> > > > ioctl[SIOCSIWENCODEEXT]: No such file or directory
> > > > ioctl[SIOCSIWENCODEEXT]: No such file or directory
> > > > ioctl[SIOCSIWENCODEEXT]: No such file or directory
> > > > 
> > 
> > There were some changes recently to this ioctl, but I am not familiar
> > with details. Johannes will know.
> 
> Yeah, I'm not sure -- this happens when clearing keys. I'll look into
> it, we probably need to accept removing a key that doesn't exist.

Why bother (if that's actually the root cause)?  Maybe the supplicant
should be fixed.  Other drivers return ENOENT in this case, so mac80211
certainly isn't out-of-common-spec here now.

Dan